﻿package  
{
	import flash.net.URLRequest;
	import org.libspark.thread.Thread;
	import org.libspark.thread.threads.display.LoaderThread;
	import org.libspark.thread.utils.Executor;
	import org.libspark.thread.utils.MultiProgress;
	import org.libspark.thread.utils.ParallelExecutor;
	import org.libspark.thread.utils.SerialExecutor;
	import org.libspark.thread.utils.IProgressNotifier;
	
	/**
	* FlickrImageLoadThread
	* @author Yasu (clockmaker.jp)
	*/
	public class FlickrImageLoadThread extends Thread
	{
		private var _imageUrls:Array;
		private var _executor:Executor;
		private var _loaders:Array = [];
		private var _progress:MultiProgress;
		
		public function FlickrImageLoadThread(imageUrls:Array) 
		{
			_imageUrls = imageUrls;
			_progress = new MultiProgress();
		}
		
		override protected function run():void
		{
			_executor = new SerialExecutor();
			
			for (var i:int = 0; i < _imageUrls.length; i++ )
			{
				var thread:LoaderThread = new LoaderThread(new URLRequest(_imageUrls[i]));
				_executor.addThread(thread);
			}
			
			for (i = 0; i < _executor.numThreads; i++ )
			{
				_progress.addProgress(IProgressNotifier(_executor.getThreadAt(i)).progress, 1.0);
			}
			
			
			_executor.start();
			_executor.join();
			
			next(completeHandler);
		}
		
		private function completeHandler():void
		{
			for (var i:int = 0; i < _executor.numThreads; i++ )
			{
				_loaders.push(LoaderThread(_executor.getThreadAt(i)).loader);
			}
		}
		
		public function get loaders():Array { return _loaders; }
		public function get progress():MultiProgress { return _progress; }
		
		
	}
	
}