﻿package  
{
	import com.adobe.webapis.flickr.events.FlickrResultEvent;
	import com.adobe.webapis.flickr.FlickrService;
	import com.adobe.webapis.flickr.methodgroups.Photos;
	import com.adobe.webapis.flickr.PagedPhotoList;
	import org.libspark.thread.Thread;
	
	/**
	* FlickrSearchThread
	* @author Yasu (clockmaker.jp)
	*/
	public class FlickrSearchThread extends Thread
	{
		
		static private const FLICKR_API_KEY:String = "51aa4eeb67e991f09a40a4a27cfba8b8";
		static private const PROXY:String = "http://clockmaker.jp/labs/081024_flickr/bin/proxy_crossdomain.php?u=";
		
		private var fls:FlickrService;
		private var photos:Photos;
		private var _imageUrls:Array = [];
		public function get imageUrls():Array { return _imageUrls; }
		
		override protected function run():void
		{
			trace(className,"run")
			fls = new FlickrService(FLICKR_API_KEY);
			photos = new Photos(fls);
			
			photos.search("88403964@N00", "iPhone,ToyCamera", "all")
			event(fls, FlickrResultEvent.PHOTOS_SEARCH, photoSearchedHandler);
		}
		
		private function photoSearchedHandler(event:FlickrResultEvent):void
		{
			trace(className,"photoSearchedHandler")
			if ( event.success )
			{
				var imgs:Array = PagedPhotoList(event.data['photos']).photos;
				for ( var i:int = 0; i < imgs.length; i++ )
				{
					var imageUrl:String = PROXY + "http://farm" + imgs[i].farm + ".static.flickr.com/" +
						imgs[i].server + "/" + imgs[i].id + "_" + imgs[i].secret + ".jpg";
					
					_imageUrls.push(imageUrl);
				}
			}
		}
		
		override protected function finalize():void
		{
			trace(className, "finalize")
			trace(_imageUrls)
			fls = null;
			photos = null;
		}
	}
}