﻿package  
{
	import org.libspark.thread.Thread;
	import mx.controls.ProgressBar;
	
	/**
	* InitThread
	* @author Yasu (clockmaker.jp)
	*/
	public class InitThread extends Thread
	{
		private var searchThread:FlickrSearchThread;
		private var imageLoadThread:FlickrImageLoadThread;
		private var _func:Function;
		private var _progress:ProgressBar;
		
		public function InitThread(func:Function, progressBar:ProgressBar) 
		{
			_func = func;
			_progress = progressBar;
		}
		
		override protected function run():void
		{
			searchThread  = new FlickrSearchThread();
			
			searchThread.start();
			searchThread.join();
			
			next(loadImags);
		}
		
		private function loadImags():void
		{
			imageLoadThread = new FlickrImageLoadThread(searchThread.imageUrls);
			
			imageLoadThread.start();
			imageLoadThread.join();
			
			new ProgressBarThread(imageLoadThread.progress, _progress).start();
			
			next(initWorld);
		}
		
		private function initWorld():void
		{
			trace(className, "initWorld")
			_func(imageLoadThread.loaders)
		}


		
		override protected function finalize():void
		{
		}
		
	}
	
}