﻿package
{
	import org.libspark.thread.Thread;
	import org.libspark.thread.utils.IProgress;
	import mx.controls.ProgressBar;
	
	/**
	 * このスレッドは、与えられた IProgress インターフェイスのインスタンスが示す進捗状況を、プログレスバーとして描画します。
	 */
	public class ProgressBarThread extends Thread
	{
		/**
		 * @param	progress	進捗状況
		 * @param	graphics	プログレスバーの描画先
		 * @param	width	プログレスバーの最大幅
		 */
		public function ProgressBarThread(progress:IProgress, bar:ProgressBar)
		{
			_progress = progress;
			_bar = bar;
		}
		
		private var _progress:IProgress;
		private var _bar:ProgressBar;
		
		/**
		 * スレッドの処理は run メソッドをオーバーライドして記述します
		 */
		override protected function run():void
		{
			trace(className, "current : " + _progress.current, "total : " + _progress.total)
			_bar.setProgress(_progress.current, _progress.total)
			
			
			// 仕事が完了/失敗/キャンセルされていて
			if (_progress.isCompleted || _progress.isFailed || _progress.isCanceled) {
				trace(className, "_progress.isCompleted")
				return;
			}
			
			// 次もまたこのメソッドを実行します
			next(run);
		}
	}
}